package sqlite

import (
	"../../../hotime"
	"database/sql"
	_ "github.com/mattn/go-sqlite3"
)

func SetDB(appIns *hotime.Application, config hotime.Map) {
	appIns.SetConnectDB(func(err ...*hotime.Error) *sql.DB {
		db, e := sql.Open("sqlite3", config.GetString("path"))
		if e != nil && len(err) != 0 {
			err[0].SetError(e)
		}
		return db
	})
	appIns.Db.Type = "sqlite"
}
